class Assets {
    constructor(){
        this.images = [];
        this.spritesheets = [];
        this.audios = [];
        this.sounds = [];
        this.textStyles = [];
        this.bitMapFonts = [];
        this.wordStyles =[];
        this.loadHints = [];
        this.texts = [];
            
    }
    addText(name,language,text){
        if(!this.texts[name]){
            this.texts[name] = [];
        }
        this.texts[name][language] = text;
    }
    getText(name,language){
        
        if(this.texts[name]){
            if(this.texts[name][language]){
                return this.texts[name][language];
            }
        }
        return false;
    }
 
    addImage(imageKey,path){
       this.images.push({imageKey:imageKey,path:path}); 
    }
    addAudio(audioKey,pathsArray){
       this.audios.push({audioKey:audioKey,pathsArray:pathsArray}); 
    }
    addSpritesheet(imageKey,path,wSizeFrame,hSizeFrame){
       this.spritesheets.push({imageKey:imageKey,path:path,wSizeFrame:wSizeFrame,hSizeFrame:hSizeFrame}); 
    }
    addTextStyle(key,style){
       this.textStyles[key] = style; 
    }
    addBitMapFont(key,pngPath,fntPath){
       this.bitMapFonts.push({key:key,pngPath:pngPath,fntPath:fntPath});  
    }
    isImageByKey(imageKey){
        for(let i in this.images){
            if(this.images[i].imageKey == imageKey){
                return true;
            }
        }
        return false;
    }
    addWordStyle(word,style,isWord,imageKey,frame){
        ///addFontStyle (стиль, позиция) ///normal, italicили oblique
        ///addFontWeight (стиль, позиция) ///normal, bold, bolder, lighter
        let isInArray = false;
        for(let i in this.wordStyles){
            if(this.wordStyles[i].word === word){
                isInArray = true;
            }
        }
        if(!isInArray)
            this.wordStyles.push({word:word,style:style,isWord:isWord,imageKey:imageKey,frame:frame});  
    }
    addLoadHint(name){
        this.loadHints.push(name);
    }
    getRandomLoadHint(){
        if(this.loadHints.length > 0){
            return this.getText(this.loadHints[this.getRandomInt(0, this.loadHints.length - 2)],LANGUAGE);
        }else return 'Подсказок нет';
        
    }
    getStartLoadHint(){
        if(this.loadHints.length > 0){
            return this.getText(this.loadHints[this.loadHints.length-1],LANGUAGE);
        }else return 'Подсказок нет';
        
    }
    getRandomInt(min, max){
        
      return Math.floor(Math.random() * (max - min + 1)) + min;

    }
}
let ASSETS = new Assets();
///Добавление Картинок



ASSETS.addImage('qwestBorder','assetes/img/gui/ui/qwestBorder.png');
ASSETS.addImage('lobby_ui','assetes/img/gui/ui/lobby_ui.png');
ASSETS.addImage('ui_1','assetes/img/gui/ui/ui_1.png');
ASSETS.addImage('ui_2','assetes/img/gui/ui/ui_2.png');
ASSETS.addImage('ui_3','assetes/img/gui/ui/ui_3.png');
ASSETS.addImage('ui_4','assetes/img/gui/ui/ui_4.png');
ASSETS.addImage('bg_1024_768','assetes/img/gui/ui/bg_1024_768.png');
ASSETS.addImage('ui_1000_600','assetes/img/gui/ui/ui_1000_600.png');
ASSETS.addImage('ui_600_400','assetes/img/gui/ui/ui_600_400.png');
ASSETS.addImage('ui_400_200','assetes/img/gui/ui/ui_400_200.png');
ASSETS.addImage('ui_400_200_2','assetes/img/gui/ui/ui_400_200_2.png');
ASSETS.addImage('ui_600_200','assetes/img/gui/ui/ui_600_200.png');
ASSETS.addImage('ui_600_300','assetes/img/gui/ui/ui_600_300.png');
//ASSETS.addImage('table800','assetes/img/gui/bg/table800.png');
ASSETS.addImage('table','assetes/img/gui/bg/table.png');
//ASSETS.addImage('table1280','assetes/img/gui/bg/table1280.png');
ASSETS.addImage('circle','assetes/img/gui/ui/circle.png');
ASSETS.addImage('place','assetes/img/gui/ui/place.png');
ASSETS.addImage('place_1','assetes/img/gui/ui/place_1.png');
ASSETS.addImage('place_2','assetes/img/gui/ui/place_2.png');
ASSETS.addImage('place_3','assetes/img/gui/ui/place_3.png');
ASSETS.addImage('avatar_border','assetes/img/gui/ui/avatar_border.png');
ASSETS.addImage('avatar_default','assetes/img/gui/ui/avatar_default.png');
ASSETS.addImage('timer_ui','assetes/img/gui/ui/timer_ui.png');
ASSETS.addImage('counter_1','assetes/img/gui/ui/counter_1.png');
ASSETS.addImage('counter_2','assetes/img/gui/ui/counter_2.png');
ASSETS.addImage('counter_3','assetes/img/gui/ui/counter_3.png');
ASSETS.addImage('penta_buttons','assetes/img/gui/ui/penta_buttons.png');




///Добавление спрайтлистов

//ASSETS.addSpritesheet('slash','assetes/img/gui/ui/slash.png',128,128);
//ASSETS.addSpritesheet('blood','assetes/img/gui/ui/blood.png',512,512);
//ASSETS.addSpritesheet('cross1','assetes/img/gui/ui/cross1.png',512,512);


ASSETS.addSpritesheet('main_button_1','assetes/img/gui/ui/main_button_1.png',500,300);
ASSETS.addSpritesheet('main_button_2','assetes/img/gui/ui/main_button_2.png',500,300);
ASSETS.addSpritesheet('main_button_3','assetes/img/gui/ui/main_button_3.png',500,300);
ASSETS.addSpritesheet('main_button_4','assetes/img/gui/ui/main_button_4.png',500,300);

ASSETS.addSpritesheet('qwestComlpite','assetes/img/gui/ui/qwestComlpite.png',80,80);
ASSETS.addSpritesheet('quest','assetes/img/gui/ui/quest.png',64,64);

ASSETS.addSpritesheet('penta','assetes/img/gui/ui/penta.png',1000,600);
ASSETS.addSpritesheet('inPenta','assetes/img/gui/ui/inPenta.png',1000,600);

ASSETS.addSpritesheet('races','assetes/img/races/races.png',50,50);
ASSETS.addSpritesheet('classes','assetes/img/classes/classes.png',50,50);

ASSETS.addSpritesheet('cards_bet','assetes/img/creatures/cards_bet.png',265,415);
ASSETS.addSpritesheet('cards_light','assetes/img/creatures/cards_light.png',300,500);
ASSETS.addSpritesheet('cards_chek','assetes/img/creatures/cards_chek.png',300,500);
ASSETS.addSpritesheet('cards_back','assetes/img/cardBack/cards_back.png',265,415);
ASSETS.addSpritesheet('cards_list','assetes/img/creatures/cards_list.png',265,415);
//ASSETS.addSpritesheet('cards_list_our','assetes/img/creatures/cards_list_our.png',256,384);
//ASSETS.addSpritesheet('cards_list_enemy','assetes/img/creatures/cards_list_enemy.png',256,384);

ASSETS.addSpritesheet('pointsDiff','assetes/img/icons/pointsDiff.png',50,50);
ASSETS.addSpritesheet('skills','assetes/img/icons/skills.png',50,50);
ASSETS.addSpritesheet('star','assetes/img/icons/star.png',64,64);
ASSETS.addSpritesheet('forText','assetes/img/icons/forText.png',32,32);
ASSETS.addSpritesheet('qwests','assetes/img/icons/qwests.png',64,64);
ASSETS.addSpritesheet('anvil','assetes/img/icons/anvil.png',256,256);
ASSETS.addSpritesheet('lock','assetes/img/icons/lock.png',32,32);
ASSETS.addSpritesheet('quality','assetes/img/icons/quality.png',32,32);
ASSETS.addSpritesheet('box','assetes/img/icons/box.png',100,100);
ASSETS.addSpritesheet('collectionCost','assetes/img/icons/collectionCost.png',32,32);
ASSETS.addSpritesheet('coins','assetes/img/icons/coins.png',32,32);
ASSETS.addSpritesheet('skull','assetes/img/icons/skull.png',32,32);
ASSETS.addSpritesheet('battleCount','assetes/img/icons/battleCount.png',32,32);
ASSETS.addSpritesheet('round','assetes/img/gui/ui/round.png',150,150);
ASSETS.addSpritesheet('shape','assetes/img/gui/ui/shape.png',150,150);
ASSETS.addSpritesheet('shield','assetes/img/gui/ui/shield.png',128,128);
ASSETS.addSpritesheet('timer_ready','assetes/img/gui/ui/timer_ready.png',400,10);
ASSETS.addSpritesheet('ready_load','assetes/img/gui/ui/ready_load.png',200,120);
ASSETS.addSpritesheet('flags','assetes/img/gui/ui/flags.png',50,25);
ASSETS.addSpritesheet('raceActive','assetes/img/gui/ui/raceActive.png',188,75);
ASSETS.addSpritesheet('cross','assetes/img/gui/ui/cross2.png',512,512);
ASSETS.addSpritesheet('ice','assetes/img/gui/ui/ice.png',256,256);
ASSETS.addSpritesheet('close','assetes/img/gui/ui/close.png',256,256);
ASSETS.addSpritesheet('open','assetes/img/gui/ui/open.png',128,128);
ASSETS.addSpritesheet('load','assetes/img/gui/ui/load.png',100,100);
ASSETS.addSpritesheet('button_changeAuth','assetes/img/gui/buttons/button_changeAuth.png',187,71);
ASSETS.addSpritesheet('button_guest','assetes/img/gui/buttons/button_guest.png',187,71);
ASSETS.addSpritesheet('button_down','assetes/img/gui/buttons/button_down.png',144,132);
ASSETS.addSpritesheet('button_up','assetes/img/gui/buttons/button_up.png',144,132);
ASSETS.addSpritesheet('button_quest','assetes/img/gui/buttons/button_quest.png',144,132);
ASSETS.addSpritesheet('button_right','assetes/img/gui/buttons/button_right.png',64,32);
//ASSETS.addSpritesheet('button_right_new','assetes/img/gui/buttons/button_right_new.png',71,34);
ASSETS.addSpritesheet('button_left','assetes/img/gui/buttons/button_left.png',64,32);
ASSETS.addSpritesheet('button_slider','assetes/img/gui/buttons/button_slider.png',32,32);
ASSETS.addSpritesheet('button_send','assetes/img/gui/buttons/button_send.png',151,57);
ASSETS.addSpritesheet('button_config','assetes/img/gui/buttons/button_config.png',144,132);
ASSETS.addSpritesheet('button_profile','assetes/img/gui/buttons/button_profile.png',144,132);
ASSETS.addSpritesheet('button_clear','assetes/img/gui/buttons/button_clear.png',151,57);
ASSETS.addSpritesheet('button_rules','assetes/img/gui/buttons/button_rules.png',151,57);
ASSETS.addSpritesheet('button_race','assetes/img/gui/buttons/button_race.png',151,57);
ASSETS.addSpritesheet('button_class','assetes/img/gui/buttons/button_class.png',151,57);
ASSETS.addSpritesheet('button_wiki','assetes/img/gui/buttons/button_wiki.png',151,57);
ASSETS.addSpritesheet('button_resoult','assetes/img/gui/buttons/button_resoult.png',151,57);
ASSETS.addSpritesheet('button_ready','assetes/img/gui/buttons/button_ready.png',151,57);
ASSETS.addSpritesheet('button_set','assetes/img/gui/buttons/button_set.png',151,57);
ASSETS.addSpritesheet('button_get','assetes/img/gui/buttons/button_get.png',187,71);
ASSETS.addSpritesheet('button_changing','assetes/img/gui/buttons/button_changing.png',151,57);
ASSETS.addSpritesheet('button_save','assetes/img/gui/buttons/button_save.png',151,57);
ASSETS.addSpritesheet('button_yes','assetes/img/gui/buttons/button_yes.png',151,57);
ASSETS.addSpritesheet('button_no','assetes/img/gui/buttons/button_no.png',151,57);
ASSETS.addSpritesheet('button_change','assetes/img/gui/buttons/button_change.png',151,57);
ASSETS.addSpritesheet('button_duel','assetes/img/gui/buttons/button_duel.png',144,132);
ASSETS.addSpritesheet('button_chat','assetes/img/gui/buttons/button_chat.png',144,132);
ASSETS.addSpritesheet('button_collection','assetes/img/gui/buttons/button_collection.png',144,132);
ASSETS.addSpritesheet('button_exit','assetes/img/gui/buttons/button_exit.png',151,57);
ASSETS.addSpritesheet('button_create','assetes/img/gui/buttons/button_create.png',151,57);
ASSETS.addSpritesheet('button_close','assetes/img/gui/buttons/button_close.png',60,60);
ASSETS.addSpritesheet('button_battle_new','assetes/img/gui/buttons/button_battle_new.png',100,100);
ASSETS.addSpritesheet('button_leave_battle_new','assetes/img/gui/buttons/button_leave_battle_new.png',100,100);

ASSETS.addSpritesheet('sound_mute','assetes/img/gui/buttons/sound_mute.png',32,32);

//ASSETS.addSpritesheet('button_empty','assetes/img/gui/buttons/button_empty.png',192,64);
ASSETS.addSpritesheet('button_empty','assetes/img/gui/buttons/button_empty.png',190,40);
ASSETS.addSpritesheet('button_empty2','assetes/img/gui/buttons/button_empty2.png',192,64);

ASSETS.addSpritesheet('button_raiting','assetes/img/gui/buttons/button_raiting.png',144,132);
ASSETS.addSpritesheet('button_door','assetes/img/gui/buttons/button_door.png',144,132);
ASSETS.addSpritesheet('button_small','assetes/img/gui/buttons/button_small.png',144,132);
ASSETS.addSpritesheet('button_big','assetes/img/gui/buttons/button_big.png',144,132);
ASSETS.addSpritesheet('button_info','assetes/img/gui/buttons/button_info.png',144,132);
ASSETS.addSpritesheet('button_flag','assetes/img/gui/buttons/button_flag.png',256,256);
ASSETS.addSpritesheet('arrows','assetes/img/gui/ui/arrows.png',128,64);

ASSETS.addSpritesheet('signs','assetes/img/icons/signs.png',32,32);



////Раски аватаров
let avatarBorder = 10;
for(let i = 1 ; i <= avatarBorder ;i++){
    ASSETS.addImage('border_'+i,'assetes/img/avatars/border/border_'+i+'.png');
    ASSETS.addImage('border_'+i+'_mask','assetes/img/avatars/border/border_'+i+'_mask.png');
}
let avatarImage = 6;
for(let i = 1 ; i < avatarImage+1 ;i++){
    ASSETS.addImage('avatar_'+i,'assetes/img/avatars/image/avatar_'+i+'.png');
}
let avatarImage2 = 7;
for(let i = 1 ; i < avatarImage2+1 ;i++){
    let numb = 999 + i;
    ASSETS.addImage('avatar_'+numb,'assetes/img/avatars/image/avatar_'+numb+'.png');
}
///Добавление стилей текста
///Добавление артифактов

///
ASSETS.addImage('art_null','assetes/img/artifacts/art_null.png');
ASSETS.addImage('art_light','assetes/img/artifacts/art_light.png');
let artifactsNull = 6;
for(let i = 1 ; i < artifactsNull+1 ;i++){
    ASSETS.addImage('art_null_'+i,'assetes/img/artifacts/art_null_'+i+'.png');
}
let artifactsRandom = 6;
for(let i = 1 ; i < artifactsNull+1 ;i++){
    ASSETS.addImage('art_random_'+i,'assetes/img/artifacts/art_random_'+i+'.png');
}

let artifactsCountsType1 = 34;
for(let i = 1 ; i < artifactsCountsType1+1 ;i++){
    ASSETS.addImage('art_'+i,'assetes/img/artifacts/art_'+i+'.png');
}
let artifactsCountsType2 = 38; //38
for(let i = 1 ; i < artifactsCountsType2+1 ;i++){
    let numb = 100 + i;
    ASSETS.addImage('art_'+numb,'assetes/img/artifacts/art_'+numb+'.png');
}
let artifactsCountsType3 = 30;
for(let i = 1 ; i < artifactsCountsType3+1 ;i++){
    let numb = 200 + i;
    ASSETS.addImage('art_'+numb,'assetes/img/artifacts/art_'+numb+'.png');
}
let artifactsCountsType4 = 10;
for(let i = 1 ; i < artifactsCountsType4+1 ;i++){
    let numb = 300 + i;
    ASSETS.addImage('art_'+numb,'assetes/img/artifacts/art_'+numb+'.png');
}

ASSETS.addImage('art_667','assetes/img/artifacts/art_667.png');
ASSETS.addImage('art_1000','assetes/img/artifacts/art_1000.png');
/*
let artifactsCountsType4 = 11;
for(let i = 1 ; i < artifactsCountsType4+1 ;i++){
    let numb = 1100 + i;
    ASSETS.addImage('art_'+numb,'assetes/img/artifacts/art_'+numb+'.png');
}
let artifactsCountsType5 = 2;
for(let i = 1 ; i < artifactsCountsType5+1 ;i++){
    let numb = 1200 + i;
    ASSETS.addImage('art_'+numb,'assetes/img/artifacts/art_'+numb+'.png');
}
*/
///Добавлене существ
/*
let creaturesCounts = 15;
for(let i = 1 ; i < creaturesCounts+1 ;i++){
    ASSETS.addImage('player_creature_'+i,'assetes/img/creatures/player/creature_'+i+'.png');
}
for(let i = 1 ; i < creaturesCounts+1 ;i++){
    ASSETS.addImage('enemy_creature_'+i,'assetes/img/creatures/enemy/creature_'+i+'.png');
}
*/
///Добавление рас
/*
ASSETS.addImage('race_1','assetes/img/races/race_1.png');
ASSETS.addImage('race_2','assetes/img/races/race_2.png');
ASSETS.addImage('race_3','assetes/img/races/race_3.png');
ASSETS.addImage('race_4','assetes/img/races/race_4.png');
ASSETS.addImage('race_5','assetes/img/races/race_5.png');
ASSETS.addImage('race_card_1','assetes/img/races/race_card_1.png');
ASSETS.addImage('race_card_2','assetes/img/races/race_card_2.png');
ASSETS.addImage('race_card_3','assetes/img/races/race_card_3.png');
ASSETS.addImage('race_card_4','assetes/img/races/race_card_4.png');
ASSETS.addImage('race_card_5','assetes/img/races/race_card_5.png');
ASSETS.addImage('all_races','assetes/img/races/all_races.png');


///Добавление классов
ASSETS.addImage('class_1','assetes/img/classes/class_1.png');
ASSETS.addImage('class_2','assetes/img/classes/class_2.png');
ASSETS.addImage('class_3','assetes/img/classes/class_3.png');
ASSETS.addImage('class_4','assetes/img/classes/class_4.png');
ASSETS.addImage('class_5','assetes/img/classes/class_5.png');
ASSETS.addImage('all_classes','assetes/img/classes/all_classes.png');
*/
//ASSETS.addImage('Card_rubashka_16','assetes/img/cardBack/Card_rubashka_16.png');
//ASSETS.addImage('Card_rubashka_15','assetes/img/cardBack/Card_rubashka_15.png');

///Добавление звуков
let battleAudioCaunts = 9;
for(let i = 1; i < battleAudioCaunts+1; i++ ){
    ASSETS.addAudio('battle_'+i,['assetes/audio/battle_'+i+'.ogg']);
}
ASSETS.addAudio('menu_1',['assetes/audio/menu_1.ogg']);
ASSETS.addAudio('menu_2',['assetes/audio/menu_2.ogg']);

ASSETS.addAudio('freeze',['assetes/audio/freeze.ogg']);
ASSETS.addAudio('slash',['assetes/audio/slash.ogg']);
ASSETS.addAudio('onbet',['assetes/audio/onbet.ogg']);
ASSETS.addAudio('lose',['assetes/audio/lose.ogg']);
ASSETS.addAudio('win',['assetes/audio/win.ogg']);
ASSETS.addAudio('draw',['assetes/audio/draw.ogg']);
ASSETS.addAudio('ready',['assetes/audio/ready.ogg']);
ASSETS.addAudio('join',['assetes/audio/join.ogg']);
ASSETS.addAudio('onclick',['assetes/audio/onclick.ogg']);
ASSETS.addAudio('onover',['assetes/audio/onover.ogg']);


//ПРИМЕР
////ASSETS.addTextStyle('common',{font: "bold 24px Georgia", fill: "#000000",maxLines: 15,wordWrap: true, align: "left",stroke : '#000000',strokeThickness : 0, lineSpacing : -10});
ASSETS.addTextStyle('common',{font: "18px Arial", fill: "#000000",maxLines: 50,wordWrap: true, align: "left"});
ASSETS.addTextStyle('commonW',{font: "18px Arial", fill: "#FFFFFF",maxLines: 50,wordWrap: true, align: "left"});
ASSETS.addTextStyle('commonWBold',{font: "18px Arial", fill: "#FFFFFF",maxLines: 50,wordWrap: true, align: "left",fontWeight:'bold'});
ASSETS.addTextStyle('commonGoldBold',{font: "18px Arial", fill: "#FFD700",maxLines: 50,wordWrap: true, align: "left",fontWeight:'bold'});
ASSETS.addTextStyle('commonBold',{font: "19px Arial", fill: "#000000",maxLines: 15,wordWrap: true, align: "left",fontWeight:'bold'});
ASSETS.addTextStyle('commonBlue',{font: "17px Arial", fill: "#649DB7",maxLines: 15,wordWrap: true, align: "center"});
ASSETS.addTextStyle('commonLoad',{font: "17px Arial", fill: "#FFDAB9",maxLines: 15,wordWrap: true, align: "center"});
ASSETS.addTextStyle('commonDarkBlue',{font: "17px Arial", fill: "#000C2C",maxLines: 15,wordWrap: true, align: "center"});
ASSETS.addTextStyle('commonRed',{font: "17px Arial",fontWeight:'bold', fill: "#CD5C5C",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('commonGreen',{font: "17px Arial",fontWeight:'bold', fill: "#90EE90",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('commonGold',{font: "17px Arial",fontWeight:'bold', fill: "#FFD700",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('commonWhite',{font: "17px Arial", fill: "#FFFFFF",maxLines: 15,wordWrap: true, align: "center",fontSize:18,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('bigWhite',{font: "17px Arial", fill: "#FFFFFF",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('green',{font: "17px Arial", fill: "#9ACD32",maxLines: 15,wordWrap: true, align: "center"});

ASSETS.addTextStyle('commonCenter',{font: "17px Arial", fill: "#000000",maxLines: 15,wordWrap: true, align: "center"});
ASSETS.addTextStyle('cost',{font: "17px Arial", fill: "#FFD700",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 3});
ASSETS.addTextStyle('chat',{font: "14px Arial", fill: "#000000",maxLines: 500,wordWrap: true, align: "left",maxLines:CHATMAXLENGTH});
ASSETS.addTextStyle('chatWhite',{font: "14px Arial", fill: "#FFE4C4",maxLines: 500,wordWrap: true, align: "left",maxLines:CHATMAXLENGTH});
ASSETS.addTextStyle('setTimer',{font: "40px Arial", fill: "#FF8C00",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 5});
ASSETS.addTextStyle('button',{font: "14px Arial", fill: "#FFD700",maxLines: 5,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 3,fontWeight:'bold'});
//ASSETS.addTextStyle('button',{font: "12px Arial", fill: "#000C2C",maxLines: 5,wordWrap: true, align: "center",stroke : '#649DB7', strokeThickness : 5,fontWeight:'bold'});
ASSETS.addTextStyle('buttonBig',{font: "18px Arial", fill: "#649DB7",maxLines: 5,wordWrap: true, align: "center",stroke : '#649DB7', strokeThickness : 0,fontWeight:'bold'});
ASSETS.addTextStyle('strokeRed',{font: "17px Arial",fontWeight:'bold', fill: "#CD5C5C",maxLines: 15,wordWrap: true, align: "center", stroke : '#000000', strokeThickness : 3});
//#649DB7
//#000C2C
ASSETS.addTextStyle('collectionCost',{font: "22px Arial", fill: "#9ACD32",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 5})
ASSETS.addTextStyle('count',{font: "15px Arial", fill: "#9ACD32",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 3});
ASSETS.addTextStyle('cardPoint',{font: "29px Arial",fontWeight:'bold', fill: "#FFD700",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 5});
ASSETS.addTextStyle('cardPointBonus',{font: "19px Arial",fontWeight:'bold', fill: "#FFD700",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 5});
//#649DB7 ///#FFDAB9
ASSETS.addTextStyle('title',{font: "14px Arial", fill: "#FFFFFF", maxLines: 15,wordWrap: true, align: "center",bitmapFontKey:'font_1',fontSize:20});
ASSETS.addTextStyle('artifacts_title',{font: "14px Arial", fill: "#FFFFFF", maxLines: 15,wordWrap: true, align: "center",bitmapFontKey:'font_1',fontSize:18});
ASSETS.addTextStyle('commonString',{font: "16px Arial", fill: "#000000",maxLines: 15,wordWrap: true, align: "center"});

ASSETS.addTextStyle('commonStringLeft',{font: "19px Arial", fill: "#FFDAB9",maxLines: 15,wordWrap: true, align: "left",stroke : '#000000', strokeThickness : 5});
ASSETS.addTextStyle('commonBigString',{font: "19px Arial", fill: "#FFDAB9",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 5});
ASSETS.addTextStyle('cardDescription',{font: "27px Arial", fill: "#F5DEB3",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 5});
//FFD700
ASSETS.addTextStyle('turnCounter',{font: "39px Arial",fontWeight:'bold', fill: "#FFD700",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 3});
ASSETS.addTextStyle('ourWinsCount',{font: "25px Arial",fontWeight:'bold', fill: "#90EE90",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 3});
ASSETS.addTextStyle('enemyWinsCount',{font: "25px Arial",fontWeight:'bold', fill: "#FF4500",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 3});
ASSETS.addTextStyle('playerName',{font: "25px Arial", fill: "#1E90FF",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 3});
ASSETS.addTextStyle('cardPointDifferent',{font: "31px Arial", fill: "#DEB887",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 5});
ASSETS.addTextStyle('turnBetMarker',{font: "40px Arial", fill: "#DEB887",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 5});
ASSETS.addTextStyle('raiting',{font: "15px Arial", fill: "#FFD700",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 5});
ASSETS.addTextStyle('raitingBig',{font: "18px Arial", fill: "#DEB887",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000', strokeThickness : 5});

ASSETS.addTextStyle('textPointsPlus',{font: "17px Arial",fontWeight:'bold', fill: "#90EE90",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('textPointsMinus',{font: "17px Arial",fontWeight:'bold', fill: "#CD5C5C",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});

ASSETS.addTextStyle('textElf',{font: "20px Arial", fill: "#2E8B57",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('textHuman',{font: "20px Arial", fill: "#87CEFA",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('textOrc',{font: "20px Arial", fill: "#996A29",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('textDemon',{font: "20px Arial", fill: "#CD5C5C",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('textUndead',{font: "20px Arial", fill: "#8A2BE2",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('textArcher',{font: "20px Arial", fill: "#808080",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('textWarrior',{font: "20px Arial", fill: "#808080",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});
ASSETS.addTextStyle('textMage',{font: "20px Arial", fill: "#808080",maxLines: 15,wordWrap: true, align: "center",fontSize:22,bitmapFontKey:'font_1'});

///ДОБАВЛЯЕМ СТИЛИ СЛОВ
ASSETS.addWordStyle('+1',ASSETS.textStyles['textPointsPlus'],true,null,0);
ASSETS.addWordStyle('+2',ASSETS.textStyles['textPointsPlus'],true,null,0);
ASSETS.addWordStyle('+3',ASSETS.textStyles['textPointsPlus'],true,null,0);
ASSETS.addWordStyle('+4',ASSETS.textStyles['textPointsPlus'],true,null,0);
ASSETS.addWordStyle('+5',ASSETS.textStyles['textPointsPlus'],true,null,0);
ASSETS.addWordStyle('+6',ASSETS.textStyles['textPointsPlus'],true,null,0);
ASSETS.addWordStyle('+7',ASSETS.textStyles['textPointsPlus'],true,null,0);
ASSETS.addWordStyle('+8',ASSETS.textStyles['textPointsPlus'],true,null,0);
ASSETS.addWordStyle('+9',ASSETS.textStyles['textPointsPlus'],true,null,0);
ASSETS.addWordStyle('+10',ASSETS.textStyles['textPointsPlus'],true,null,0);

ASSETS.addWordStyle('-1',ASSETS.textStyles['textPointsMinus'],true,null,0);
ASSETS.addWordStyle('-2',ASSETS.textStyles['textPointsMinus'],true,null,0);
ASSETS.addWordStyle('-3',ASSETS.textStyles['textPointsMinus'],true,null,0);
ASSETS.addWordStyle('-4',ASSETS.textStyles['textPointsMinus'],true,null,0);
ASSETS.addWordStyle('-5',ASSETS.textStyles['textPointsMinus'],true,null,0);
ASSETS.addWordStyle('-6',ASSETS.textStyles['textPointsMinus'],true,null,0);
ASSETS.addWordStyle('-7',ASSETS.textStyles['textPointsMinus'],true,null,0);
ASSETS.addWordStyle('-8',ASSETS.textStyles['textPointsMinus'],true,null,0);
ASSETS.addWordStyle('-9',ASSETS.textStyles['textPointsMinus'],true,null,0);
ASSETS.addWordStyle('-10',ASSETS.textStyles['textPointsMinus'],true,null,0);

ASSETS.addWordStyle('POINTSUP',ASSETS.textStyles['textPointsMinus'],false,'pointsDiff',0);
ASSETS.addWordStyle('POINTSDOWN',ASSETS.textStyles['textPointsMinus'],false,'pointsDiff',1);




//ASSETS.addWordStyle('1',ASSETS.textStyles['commonGold'],true,null,0);
//ASSETS.addWordStyle('2',ASSETS.textStyles['commonGold'],true,null,0);
//ASSETS.addWordStyle('3',ASSETS.textStyles['commonGold'],true,null,0);
//old #2E8B57

ASSETS.addWordStyle('ELF',ASSETS.textStyles['common'],false,'races',0);
ASSETS.addWordStyle('HUMAN',ASSETS.textStyles['common'],false,'races',1);
ASSETS.addWordStyle('ORC',ASSETS.textStyles['common'],false,'races',2);
ASSETS.addWordStyle('DEMON',ASSETS.textStyles['common'],false,'races',3);
ASSETS.addWordStyle('UNDEAD',ASSETS.textStyles['common'],false,'races',4);
ASSETS.addWordStyle('ARCHER',ASSETS.textStyles['common'],false,'classes',0);
ASSETS.addWordStyle('WARRIOR',ASSETS.textStyles['common'],false,'classes',1);
ASSETS.addWordStyle('MAGE',ASSETS.textStyles['common'],false,'classes',2);

ASSETS.addWordStyle('эльф',ASSETS.textStyles['textElf'],true,null,0);
ASSETS.addWordStyle('эльфу',ASSETS.textStyles['textElf'],true,null,0);
ASSETS.addWordStyle('эльфа',ASSETS.textStyles['textElf'],true,null,0);
ASSETS.addWordStyle('эльфов',ASSETS.textStyles['textElf'],true,null,0);
ASSETS.addWordStyle('эльфам',ASSETS.textStyles['textElf'],true,null,0);
ASSETS.addWordStyle('elf',ASSETS.textStyles['textElf'],true,null,0);
ASSETS.addWordStyle('elfs',ASSETS.textStyles['textElf'],true,null,0);

///old #87CEFA
ASSETS.addWordStyle('человек',ASSETS.textStyles['textHuman'],true,null,0);
ASSETS.addWordStyle('человеку',ASSETS.textStyles['textHuman'],true,null,0);
ASSETS.addWordStyle('человека',ASSETS.textStyles['textHuman'],true,null,0);
ASSETS.addWordStyle('людей',ASSETS.textStyles['textHuman'],true,null,0);
ASSETS.addWordStyle('людям',ASSETS.textStyles['textHuman'],true,null,0);
ASSETS.addWordStyle('human',ASSETS.textStyles['textHuman'],true,null,0);
ASSETS.addWordStyle('humans',ASSETS.textStyles['textHuman'],true,null,0);

///old #996A29
ASSETS.addWordStyle('орк',ASSETS.textStyles['textOrc'],true,null,0);
ASSETS.addWordStyle('орку',ASSETS.textStyles['textOrc'],true,null,0);
ASSETS.addWordStyle('орка',ASSETS.textStyles['textOrc'],true,null,0);
ASSETS.addWordStyle('орков',ASSETS.textStyles['textOrc'],true,null,0);
ASSETS.addWordStyle('оркам',ASSETS.textStyles['textOrc'],true,null,0);
ASSETS.addWordStyle('orc',ASSETS.textStyles['textOrc'],true,null,0);
ASSETS.addWordStyle('orcs',ASSETS.textStyles['textOrc'],true,null,0);

//old #CD5C5C
ASSETS.addWordStyle('демон',ASSETS.textStyles['textDemon'],true,null,0);
ASSETS.addWordStyle('демону',ASSETS.textStyles['textDemon'],true,null,0);
ASSETS.addWordStyle('демона',ASSETS.textStyles['textDemon'],true,null,0);
ASSETS.addWordStyle('демонов',ASSETS.textStyles['textDemon'],true,null,0);
ASSETS.addWordStyle('демонам',ASSETS.textStyles['textDemon'],true,null,0);
ASSETS.addWordStyle('demon',ASSETS.textStyles['textDemon'],true,null,0);
ASSETS.addWordStyle('demons',ASSETS.textStyles['textDemon'],true,null,0);

///old A9A9A9
ASSETS.addWordStyle('нежить',ASSETS.textStyles['textUndead'],true,null,0);
ASSETS.addWordStyle('нежити',ASSETS.textStyles['textUndead'],true,null,0);
ASSETS.addWordStyle('undead',ASSETS.textStyles['textUndead'],true,null,0);


ASSETS.addWordStyle('лучник',ASSETS.textStyles['textArcher'],true,null,0);
ASSETS.addWordStyle('лучнику',ASSETS.textStyles['textArcher'],true,null,0);
ASSETS.addWordStyle('лучника',ASSETS.textStyles['textArcher'],true,null,0);
ASSETS.addWordStyle('лучников',ASSETS.textStyles['textArcher'],true,null,0);
ASSETS.addWordStyle('лучникам',ASSETS.textStyles['textArcher'],true,null,0);
ASSETS.addWordStyle('archer',ASSETS.textStyles['textArcher'],true,null,0);
ASSETS.addWordStyle('archers',ASSETS.textStyles['textArcher'],true,null,0);


ASSETS.addWordStyle('воин',ASSETS.textStyles['textWarrior'],true,null,0);
ASSETS.addWordStyle('воину',ASSETS.textStyles['textWarrior'],true,null,0);
ASSETS.addWordStyle('воина',ASSETS.textStyles['textWarrior'],true,null,0);
ASSETS.addWordStyle('воинов',ASSETS.textStyles['textWarrior'],true,null,0);
ASSETS.addWordStyle('воинам',ASSETS.textStyles['textWarrior'],true,null,0);
ASSETS.addWordStyle('warrior',ASSETS.textStyles['textWarrior'],true,null,0);
ASSETS.addWordStyle('warriors',ASSETS.textStyles['textWarrior'],true,null,0);


ASSETS.addWordStyle('маг',ASSETS.textStyles['textMage'],true,null,0);
ASSETS.addWordStyle('магу',ASSETS.textStyles['textMage'],true,null,0);
ASSETS.addWordStyle('мага',ASSETS.textStyles['textMage'],true,null,0);
ASSETS.addWordStyle('магов',ASSETS.textStyles['textMage'],true,null,0);
ASSETS.addWordStyle('магам',ASSETS.textStyles['textMage'],true,null,0);
ASSETS.addWordStyle('mage',ASSETS.textStyles['textMage'],true,null,0);
ASSETS.addWordStyle('mages',ASSETS.textStyles['textMage'],true,null,0);



ASSETS.addWordStyle('QUALITY1',ASSETS.textStyles['common'],false,'quality',1);
ASSETS.addWordStyle('QUALITY2',ASSETS.textStyles['common'],false,'quality',2);
ASSETS.addWordStyle('QUALITY3',ASSETS.textStyles['common'],false,'quality',3);
ASSETS.addWordStyle('QUALITY4',ASSETS.textStyles['common'],false,'quality',4);
ASSETS.addWordStyle('QUALITY5',ASSETS.textStyles['common'],false,'quality',5);
ASSETS.addWordStyle('QUALITY6',ASSETS.textStyles['common'],false,'quality',6);

ASSETS.addWordStyle('ARROWUP',ASSETS.textStyles['common'],false,'forText',0);
ASSETS.addWordStyle('ARROWDOWN',ASSETS.textStyles['common'],false,'forText',1);
ASSETS.addWordStyle('ARROWDUAL',ASSETS.textStyles['common'],false,'forText',2);
ASSETS.addWordStyle('FLAG',ASSETS.textStyles['common'],false,'forText',3);


ASSETS.addWordStyle('LOWEQUAL',ASSETS.textStyles['common'],false,'signs',0);
ASSETS.addWordStyle('EQUAL',ASSETS.textStyles['common'],false,'signs',1);
ASSETS.addWordStyle('MOREEQUAL',ASSETS.textStyles['common'],false,'signs',2);


ASSETS.addWordStyle('EXPERIENCE',ASSETS.textStyles['common'],false,'battleCount',5);



//ASSETS.addWordStyle('карта','#2E8B57','normal','normal');
//DCDCDC
///addFontStyle (стиль, позиция) ///normal, italic или oblique
                    ///addFontWeight (стиль, позиция) ///normal, bold, bolder, lighter
//
//ASSETS.addTextStyle('commonCenter',{font: "Georgia",size :28,isBold:false,  fill: "#000000",maxLines: 15,wordWrap: true, align: "center",stroke : '#000000',strokeThickness : 0, lineSpacing : -10});
//ASSETS.addTextStyle('commonCenterLoad',{font: "18px Arial", fill: "#404040",maxLines: 15,wordWrap: true, align: "center", lineSpacing : -10});

///Добавление BitMapFints
ASSETS.addBitMapFont('font_1', 'assetes/font/font_texts.png', 'assetes/font/font_texts.fnt');
ASSETS.addBitMapFont('font_Arial', 'assetes/font/font_Arial.png', 'assetes/font/font_Arial.fnt');

//ASSETS.addBitMapFont('font_1', 'assetes/font/fontForText.png', 'assetes/font/fontForText.fnt');
//ASSETS.addBitMapFont('font_1', 'assetes/font/fontForNumbers.png', 'assetes/font/fontForNumbers.fnt');
//ASSETS.addBitMapFont('font_numbers', 'assetes/font/font_numbers.png', 'assetes/font/font_numbers.fnt');
ASSETS.addBitMapFont('font_onlyNumbers', 'assetes/font/font_onlyNumbers.png', 'assetes/font/font_onlyNumbers.fnt');
ASSETS.addBitMapFont('font_card_big_numbers', 'assetes/font/font_card_big_numbers.png', 'assetes/font/font_card_big_numbers.fnt');
ASSETS.addBitMapFont('font_card_litle_numbers', 'assetes/font/font_card_litle_numbers.png', 'assetes/font/font_card_litle_numbers.fnt');

//ASSETS.addBitMapFont('bit_bezpredmetizm_whiteS', '/mifclientassetes/fonts/bit_bezpredmetizm_whiteS.png', '/mifclientassetes/fonts/bit_bezpredmetizm_whiteS.fnt');
//ASSETS.addBitMapFont('bit_bezpredmetizm_white', '/mifclientassetes/fonts/bit_bezpredmetizm_white.png', '/mifclientassetes/fonts/bit_bezpredmetizm_white.fnt');
////Добавление текстов
ASSETS.addText('text1','ru','В данный момент игра находится на глубокой стадии разработки. Все достижения могут быть (точно будут) потеряны. \nРазработчики: Apkko & Recloner. Художники:Евгения Харина, Виктория Садыкова\nВерсия клиента: ');
ASSETS.addText('text1','en','At the moment the game is in deep development. All achievements can be (definitely will be) lost. \nDevelopers: Apkko & Recloner. Artists:Evgenia Kharina, Victoria Sadykova \nVersion: ');

ASSETS.addText('text2','ru','Логин');
ASSETS.addText('text2','en','Login');

ASSETS.addText('text3','ru','Пароль');
ASSETS.addText('text3','en','Password');

ASSETS.addText('text4','ru','Для регистрации введите логин и пароль');
ASSETS.addText('text4','en','To register, enter the username and password');

ASSETS.addText('text5','ru','Не верный логин или пароль');
ASSETS.addText('text5','en','Wrong login or password')

ASSETS.addText('text6','ru','Введите логин и пароль');
ASSETS.addText('text6','en','Enter login and password')

ASSETS.addText('text7','ru','Учетную запись создать не удалось');
ASSETS.addText('text7','en','Could not create account');

ASSETS.addText('text8','ru','Учетная запись успешно создана');
ASSETS.addText('text8','en','Account created successfully');

ASSETS.addText('text9','ru','Учетная запись успешно создана, введите ваши учетные данные чтобы войти в игру');
ASSETS.addText('text9','en','Account created successfully, enter your credentials to enter the game');

ASSETS.addText('text10','ru','Коллекция');
ASSETS.addText('text10','en','Collection');

ASSETS.addText('text11','ru','Информация');
ASSETS.addText('text11','en','Information');

ASSETS.addText('text12','ru','Профиль');
ASSETS.addText('text12','en','Profile');

ASSETS.addText('text13','ru','Ценность коллекции');
ASSETS.addText('text13','en','Collection cost');

ASSETS.addText('text14','ru','Выйти из игры');
ASSETS.addText('text14','en','Exit game');

ASSETS.addText('text15','ru','Рейтинг игрокa');
ASSETS.addText('text15','en','Player Rating');

ASSETS.addText('text16','ru','В вашей коллекции не хватает артефактов чтоб продолжить играть, воспользуйтесь обменом чтоб получить 10 новых артефактов');
ASSETS.addText('text16','en','There are not enough artifacts in your collection to continue playing, use the exchange to get 10 new artifacts');

ASSETS.addText('text17','ru','Для того чтобы вступить в дуэль выберите набор из 7 артефактов в разделе Коллекция');
ASSETS.addText('text17','en','To join the duel, select a set of 7 artifacts in the Collection section.');

ASSETS.addText('text18','ru','Вы потеряли несколько артефактов в прошлом бою, обновите набор');
ASSETS.addText('text18','en','You lost several artifacts in the last battle, update the set');

ASSETS.addText('text19','ru','Нажмите "Play" чтоб сразиться с противником');
ASSETS.addText('text19','en','Click "Play" to fight with the enemy');

ASSETS.addText('text20','ru','У вас хватает простых артефактов чтоб выковать один более мощный. Воспользуйтесь обменом.');
ASSETS.addText('text20','en','You have enough simple artifacts to forge one more powerful. Take advantage of the exchange.');

ASSETS.addText('text21','ru','Найти соперника для дуэли');
ASSETS.addText('text21','en','Find an opponent for a duel');

ASSETS.addText('text22','ru','Поиск противника');
ASSETS.addText('text22','en','Search for an opponent');

ASSETS.addText('text23','ru','Ожидание противника');
ASSETS.addText('text23','en','Waiting for the opponent');

ASSETS.addText('text24','ru','Противник найден\nПодтвердите готовность');
ASSETS.addText('text24','en','Opponent found\nConfirm readiness');

ASSETS.addText('text25','ru','Правила');
ASSETS.addText('text25','en','Rules');

ASSETS.addText('text26','ru','- Вы создаете набор из 7 фишек из числа имеющихся у вас.\n- После начала партии вы и оппонент получаете по 5 случайных карт из 25ти картовой колоды.\n- Ваши карты не видны оппоненту, а его - вам. Но набранные фишки открыты и видны вам обоим.\n- Каждый ход оба игрока должны поставить одну из 7 ми ваших фишек на одну из 5ти своих карт.\n- Выбранные карты откроются только после того как вы и противник оба сделаете ставку.\n- Если очков у карты больше чем у противоположной вражеской карты, она побеждает в своей паре.\n- Для победы нужно иметь в конце 5го хода победивших пар больше чем у оппонента.\n');
ASSETS.addText('text26','en','- You create a set of 7 chips from among the ones you have. \n- After the start of the game, you and your opponent receive 5 random cards from the 25 card deck.\n- Your cards are not visible to the opponent, and his - to you. But the collected pieces are open and visible to both of you.\n- Each turn, both players must place one of their 7 chips on one of their 5 cards\n-Selected cards will only open after you and the opponent both make a bet\n- If the card has more points than the opposite enemy card, it wins in its pair.\n- At the end of the 5th move, winning pairs are larger than those of the opponent.');

ASSETS.addText('text27','ru','Всего боев сыграно');
ASSETS.addText('text27','en','Total fights played');

ASSETS.addText('text28','ru','Выйграно');
ASSETS.addText('text28','en','Win');

ASSETS.addText('text29','ru','Проиграно');
ASSETS.addText('text29','en','Loose');

ASSETS.addText('text30','ru','Ничьи');
ASSETS.addText('text30','en','Draw');

ASSETS.addText('text31','ru','Сбросить вашу коллекцию и получить случайные артефакты?\nВы потеряете весь опыт на текущем уровне.');
ASSETS.addText('text31','en','Reset your collection and get random artifacts?\nYou will lose all experience at the current level.');

ASSETS.addText('text32','ru','У вас недостаточно артефактов чтобы составить набор.\nХотите обменять все ваши артефакты на случайные?');
ASSETS.addText('text32','en','You have not enough artifacts to make up a set.\nWant to exchange all your artifacts for random?');


ASSETS.addText('text33','ru','В вашем наборе недостаточно артефактов чтобы вступить в бой.\nХотите добавить в набр случайных артефактов из вашей коллекции?');
ASSETS.addText('text33','en','There are not enough artifacts in your collection to fight. \nWant to add random artifacts from your collection to your collection?');

ASSETS.addText('text34','ru','Обменять выбранные артефакты на 1 высокого качества?');
ASSETS.addText('text34','en','Exchange selected artifacts for 1 high quality?');

ASSETS.addText('text35','ru','Загрузка');
ASSETS.addText('text35','en','Loading');

ASSETS.addText('text36','ru','Все карты имеют определенную расу и класс');
ASSETS.addText('text36','en','All cards have a specific race and class.');

ASSETS.addText('text37','ru','Каждый игрок получает 5 случайных карт из колоды');
ASSETS.addText('text37','en','Each player receives 5 random cards from the deck.');

ASSETS.addText('text38','ru','Всего в колоде 15 уникальных карт - по 5 каждой расы и по 3 каждого класса');
ASSETS.addText('text38','en','There are 15 unique cards in the deck - 5 for each race and 3 for each class');

ASSETS.addText('text39','ru',"Сдаться\nВы проиграете все поставленные артефакты, или же 'Залоговый' артефакт, если еще не сделали ни одной ставки");
ASSETS.addText('text39','en',"Surrender \nYou will lose all the artifacts you have delivered, or the 'Collateral' artifact if you have not made any bets yet.");

ASSETS.addText('text40','ru','Противник еще не сделал свою ставку...');
ASSETS.addText('text40','en','Opponent has not yet made his bet...');


ASSETS.addText('text41','ru','Вы победили');
ASSETS.addText('text41','en','You won');

ASSETS.addText('text42','ru','Ничья');
ASSETS.addText('text42','en','Draw');

ASSETS.addText('text43','ru','Поражение');
ASSETS.addText('text43','en','Defeat');

ASSETS.addText('text44','ru','Потерянные артефакты');
ASSETS.addText('text44','en','Lost Artifacts');

ASSETS.addText('text45','ru','Полученные артефакты');
ASSETS.addText('text45','en','Artifacts obtained');

ASSETS.addText('text46','ru','Продолжительность дуэли');
ASSETS.addText('text46','en','Duration of the duel');

ASSETS.addText('text47','ru','Текщий ход');
ASSETS.addText('text47','en','Current move');

ASSETS.addText('text48','ru','Текущее количество побед противника');
ASSETS.addText('text48','en','The current number of victories of the enemy');

ASSETS.addText('text49','ru','Текущее количество наших побед');
ASSETS.addText('text49','en','The current number of our victories');

ASSETS.addText('text50','ru','Часть функционала в данный момент может не работать.\nПриносим свои извинения за неудобства...');
ASSETS.addText('text50','en','Part of the functionality at the moment may not work. \nWe apologize for the inconvenience ...');

ASSETS.addText('text51','ru','Настройки');
ASSETS.addText('text51','en','Settings');

ASSETS.addText('text52','ru','Язык');
ASSETS.addText('text52','en','Language');

ASSETS.addText('text53','ru','Чат');
ASSETS.addText('text53','en','Chat');

ASSETS.addText('text54','ru','В игре');
ASSETS.addText('text54','en','Online');

ASSETS.addText('text55','ru','Да');
ASSETS.addText('text55','en','Yes');

ASSETS.addText('text56','ru','Нет');
ASSETS.addText('text56','en','No');

ASSETS.addText('text57','ru','Редактировать данные');
ASSETS.addText('text57','en','Edit data');

ASSETS.addText('text58','ru','Набор');
ASSETS.addText('text58','en','Set');

ASSETS.addText('text59','ru','Обмен');
ASSETS.addText('text59','en','Exchange');

ASSETS.addText('text60','ru','Сохранить');
ASSETS.addText('text60','en','Save');

ASSETS.addText('text61','ru','Сохранить');
ASSETS.addText('text61','en','Save');

ASSETS.addText('text62','ru','Очистить');
ASSETS.addText('text62','en','Clear');

ASSETS.addText('text63','ru','Улучшить');
ASSETS.addText('text63','en','Improve');

ASSETS.addText('text64','ru','Получить артефакты');
ASSETS.addText('text64','en','Get artifacts');

ASSETS.addText('text65','ru','Расы');
ASSETS.addText('text65','en','Races');

ASSETS.addText('text66','ru','Классы');
ASSETS.addText('text66','en','Classes');

ASSETS.addText('text67','ru','Отправить');
ASSETS.addText('text67','en','Send');

ASSETS.addText('text68','ru','Изменить');
ASSETS.addText('text68','en','Change');

ASSETS.addText('text69','ru','Выход');
ASSETS.addText('text69','en','Exit');

ASSETS.addText('text70','ru','Результат');
ASSETS.addText('text70','en','Resoult');

ASSETS.addText('text71','ru','Войти');
ASSETS.addText('text71','en','Sign in');

ASSETS.addText('text72','ru','Войти гостем');
ASSETS.addText('text72','en','Join as guest');

ASSETS.addText('text73','ru','Регистрация');
ASSETS.addText('text73','en','Registration');

ASSETS.addText('text74','ru','Создать');
ASSETS.addText('text74','en','Create');

ASSETS.addText('text75','ru','Вы сдались');
ASSETS.addText('text75','en','You surrendered');

ASSETS.addText('text76','ru','Противник сдался');
ASSETS.addText('text76','en','Opponent surrendered');

ASSETS.addText('text77','ru','Для того чтобы сохранить ваш профиль необходимо зарегестрироваться.\nСделать это сейчас?\nВ противном случае вы всегда можете сделать это в окне "Профиль"');
ASSETS.addText('text77','en','In order to save your profile you need to register.\nDo it now?\nOtherwise you can always do it in the "Profile" window');

ASSETS.addText('text78','ru','Количество артефактов');
ASSETS.addText('text78','en','Artifacts count');

ASSETS.addText('text79','ru','Кузница');
ASSETS.addText('text79','en','Forge');

ASSETS.addText('text80','ru','Выберите артефакт и поставьте его на одну из своих карт. Выбранная карта станет видна противнику. Противник делает свой ход одновременно с вами.');
ASSETS.addText('text80','en','Select an artifact and put it on one of your cards. The selected card will be visible to the enemy. The opponent makes his move at the same time with you.');

ASSETS.addText('text81','ru','Артефакты дают картам очки и другие эффекты за определённые расы ELF HUMAN ORC DEMON UNDEAD и классы ARCHER WARRIOR MAGE указанные в описании артефакта');
ASSETS.addText('text81','en','Artifacts give cards scores and other effects for certain races ELF HUMAN ORC DEMON UNDEAD and classes ARCHER WARRIOR MAGE specified in the artifact description');

ASSETS.addText('text82','ru','Ваша задача чтоб у вашей карты очков было больше чем у вражеской напротив ARROWUP');
ASSETS.addText('text82','en','Your task is to ensure that your score card has more than the enemy’s opposite ARROWUP');

ASSETS.addText('text83','ru','Для победы в конце боя количество ваших ARROWUP должно быть больше ARROWDOWN . Если ситуация не в вашу пользу вы можете сдаться FLAG , потеряв при этом все поставленные артефакты.');
ASSETS.addText('text83','en','To win at the end of the battle, the number of your ARROWUP must be greater than the ARROWDOWN . If the situation is not in your favor, you can give up the FLAG , while losing all the artifacts delivered.');

ASSETS.addText('text84','ru','При победе вы получаете все поставленные артефакты врага, при поражении враг получает все ваши. Вы всегда можете получить 8 новых артефактов, поэтому не переживайте, если все проиграли.');
ASSETS.addText('text84','en','When you win, you get all the artifacts delivered by the enemy, with the defeat of the enemy gets all yours. You can always get 8 new artifacts, so do not worry if everything is lost.');

ASSETS.addText('text85','ru','Разблокируется на 15 уровне');
ASSETS.addText('text85','en','Unlocked at level 15');

ASSETS.addText('text86','ru','Выполнено');
ASSETS.addText('text86','en','Done');

ASSETS.addText('text87','ru','Завершить');
ASSETS.addText('text87','en','Сomplete');

ASSETS.addText('text88','ru','Для создания вы должны иметь минимум 14 уникальных артефактов в своей коллекции');
ASSETS.addText('text88','en','To create you must have at least 14 unique artifacts in your collection');

ASSETS.addText('text89','ru','Задания кончились, но мы работаем над новыми. Пока можете оценить нашу игру)');
ASSETS.addText('text89','en',
'The assignments are over, but we are working on new ones. While you can evaluate our game) ');

ASSETS.addText('text90','ru','Термины');
ASSETS.addText('text90','en','Terms');

ASSETS.addText('text91','ru','Добавить случайных');
ASSETS.addText('text91','en','Add random');

ASSETS.addText('text92','ru','Очки - характеристика каждой карты. Изначально все карты имеют по 5 очков. Могут меняться под действием артефактов. </n> Раса - свойство каждой карты. Изображена слева вверху карты. Всего 5 рас: </n> Эльф ELF Человек HUMAN Орк ORC Демон DEMON Нежить UNDEAD </n> Класс - свойство каждой карты. Изображена справа вверху карты. Всего 3 класса: </n> Лучник ARCHER Воин WARRIOR Маг MAGE </n> Оппонент - вражеская карта напротив поставленного артефакта. </n> Враги - все вражеские карты. </n> Все - все карты на столе: союзные и вражеские. </n> Ворует - отнимает описанное количество очков у других карт и даёт столько же той на которую поставлен артефакт. </n> Раскрывает - открывает карты даже если на них нету артефакта за исключением ситуации когда эту карту “Скрывают”. </n> Скрывает - скрытые карты не видны врагу даже если на них поставлен артефакт. </n> Отключает - отменяет все действия данного артефакта: изменения очков, скрытие и раскрытие, кроме действия отключения других артефактов. </n> Ничья - наступает если количество победивших карт одинаково.');
ASSETS.addText('text92','en','Points are a characteristic of each card. Initially, all cards have 5 points each. May vary due to artifacts. </n> Race - the property of each card. Pictured on the top of the map. Only 5 races: </n> Elf ELF Human HUMAN Orc ORC Demon DEMON Undead UNDEAD </n> Class is a property of each card. Pictured on the top right of the map. Only 3 classes: </n> Archer ARCHER Warrior WARRIOR Mage MAGE </n> Opponent - the enemy card opposite placed artifact. </n> Enemies are all enemy cards. </n> All - all the cards on the table: allied and enemy. </n> Steals - takes the described number of points from other cards and gives so many points to this card. </n> Hides - hidden cards are not visible to the enemy. </n> Reveals - opens cards even if there is no artifact on them except for the situation when this card is "Hidden". </n> Disables - cancels all actions of this artifact: change of points, concealment and disclosure, except the action of disabling other artifacts. </n> Draw - occurs if the number of winning cards is the same.');

ASSETS.addText('text93','ru','Опыт');
ASSETS.addText('text93','en','Experience');

ASSETS.addText('text94','ru','Уровень');
ASSETS.addText('text94','en','Level');

ASSETS.addText('text95','ru','Поздравляем! Вы получили новый уровень.');
ASSETS.addText('text95','en','Congratulations! You got a new level.');

ASSETS.addText('text96','ru','Уровень сброса коллекции.');
ASSETS.addText('text96','en','Reset collection level.');

ASSETS.addText('text97','ru','Уровень сброса коллекции: </n> 0. Вы получаете 8 QUALITY1 </n> 1. Вы получаете 10 QUALITY1 </n> 2. Вы получаете 13 QUALITY1 </n> 3. Вы получаете 9 QUALITY1 и 1 QUALITY2');

ASSETS.addText('text97','en','Collection reset level: </n> 0. You get 8 QUALITY1 </n> 1. You get 10 QUALITY1 </n> 2. You get 13 QUALITY1 </n> 3. You get 9 QUALITY1 and 1 QUALITY2');

ASSETS.addText('text98','ru','Сброс Уровень');
ASSETS.addText('text98','en','Reset Level');

ASSETS.addText('text99','ru','В обмен на выбранные артефакты вы получаете опыт. Повышайте уровень и сможете создавать артефакты более высокого качества');
ASSETS.addText('text99','en','In exchange for the selected artifacts you get experience. Level up and we can create higher quality artifacts');

ASSETS.addText('text100','ru','Обменяйте выбранные артефакты на опыт');
ASSETS.addText('text100','en','Exchange selected artifacts for experience');


ASSETS.addText('text101','ru','Обменять');
ASSETS.addText('text101','en','Exchange');

ASSETS.addText('text102','ru','Сдесь можно обменять артефакты на опыт или же на артефакты более высокого качества');
ASSETS.addText('text102','en','Here you can exchange artifacts for experience or for higher quality artifacts.');

ASSETS.addText('text103','ru','Сдесь можно увидеть все свои артефакты, а так же составить набор для дуэли');
ASSETS.addText('text103','en','Here you can see all your artifacts, as well as make a set for a duel');

ASSETS.addText('text104','ru','Подсказки');
ASSETS.addText('text104','en','Tips');

ASSETS.addText('text105','ru','Поменять');
ASSETS.addText('text105','en','Change');

ASSETS.addText('text106','ru','Забрать награду');
ASSETS.addText('text106','en','Pick up reward');

ASSETS.addText('text107','ru','Провалено');
ASSETS.addText('text107','en','Fail');

ASSETS.addText('text108','ru','В процессе');
ASSETS.addText('text108','en','In process');

ASSETS.addText('text109','ru','Получить новое задание');
ASSETS.addText('text109','en','Get new quest');

ASSETS.addText('text110','ru','Попыток');
ASSETS.addText('text110','en','Trys');

ASSETS.addText('text111','ru','Выберите подходящее для вас задание');
ASSETS.addText('text111','en','Choose the right quest for you');

ASSETS.addText('text112','ru','Задача');
ASSETS.addText('text112','en','Task');

ASSETS.addText('text113','ru','Награда');
ASSETS.addText('text113','en','Reward');

ASSETS.addText('text114','ru','Принять');
ASSETS.addText('text114','en','Accept');

ASSETS.addText('text115','ru','Вы не можете выбрать задание пока находитесь в бою');
ASSETS.addText('text115','en','You cannot select a quest while in combat.');

ASSETS.addText('text116','ru','Опыт');
ASSETS.addText('text116','en','Experience');

ASSETS.addText('text117','ru','Случайный артефакт');
ASSETS.addText('text117','en','Random artifact');

ASSETS.addText('text118','ru','Задания');
ASSETS.addText('text118','en','Quests');

ASSETS.addText('text119','ru','Победа');
ASSETS.addText('text119','en','Win');

ASSETS.addText('text120','ru','Противник');
ASSETS.addText('text120','en','Enemy');

ASSETS.addText('text121','ru','Результаты последних дуэлей');
ASSETS.addText('text121','en','Results of last duels');

ASSETS.addText('text122','ru','Об Игре');
ASSETS.addText('text122','en','About');

ASSETS.addText('text123','ru','Навыки');
ASSETS.addText('text123','en','Skills');

ASSETS.addText('text124','ru','Навык');
ASSETS.addText('text124','en','Skill');

ASSETS.addText('text125','ru','Результаты');
ASSETS.addText('text125','en','Results');

ASSETS.addText('text126','ru','Войти под учетной записью Kongregate');
ASSETS.addText('text126','en','Login on Kongregate account');

ASSETS.addText('text127','ru','Мы небольшая инди-команда, любим делать оригинальные и неказуальные игры. У нас пока мало опыта, поэтому с радостью примем и постараемся учесть любую критику, ваши идеи и предложения. Нам очень важно что вы о нас думаете)');
ASSETS.addText('text127','en','We are a small indie team, we love to make original and casual games. We still have little experience, so we will gladly accept and try to take into account any criticism, your ideas and suggestions. It is very important for us what you think about us)');

ASSETS.addText('text128','ru','Миссии');
ASSETS.addText('text128','en','Missions');

ASSETS.addText('text129','ru','Начать миссию');
ASSETS.addText('text129','en','Start mission');

ASSETS.addText('text130','ru','Подробнее');
ASSETS.addText('text130','en','More details');

ASSETS.addText('text131','ru','Доступно');
ASSETS.addText('text131','en','Available');

ASSETS.addText('text132','ru','Недоступно');
ASSETS.addText('text132','en','Not available');

ASSETS.addText('text133','ru','Пройдено');
ASSETS.addText('text133','en','Passed');

ASSETS.addText('text134','ru','Завершено');
ASSETS.addText('text134','en','Completed');

ASSETS.addText('text135','ru','Монеты');
ASSETS.addText('text135','en','Coins');

ASSETS.addText('text136','ru','Магазин');
ASSETS.addText('text136','en','Shop');

ASSETS.addText('text137','ru','Хотите купить сундук с артефактами?');
ASSETS.addText('text137','en','Want to buy a chest with artifacts?');


ASSETS.addText('text138','ru','Череда побед');
ASSETS.addText('text138','en','Series of victories');

ASSETS.addText('text139','ru','Лучшая череда побед');
ASSETS.addText('text139','en','Best series of victories');

ASSETS.addText('text140','ru','Позиция');
ASSETS.addText('text140','en','Position');

ASSETS.addText('text141','ru','Игрок');
ASSETS.addText('text141','en','Player');

ASSETS.addText('text142','ru','Количество');
ASSETS.addText('text142','en','Count');

ASSETS.addText('text143','ru','Рейтинг');
ASSETS.addText('text143','en','Raiting');

ASSETS.addText('text144','ru','Обычный сундук');
ASSETS.addText('text144','en','Common chest');

ASSETS.addText('text145','ru','Редкий сундук');
ASSETS.addText('text145','en','Rare chest');

ASSETS.addText('text146','ru','Эпический сундук');
ASSETS.addText('text146','en','Epic chest');

ASSETS.addText('text147','ru','Набор артефактов');
ASSETS.addText('text147','en','Artifacts set');

ASSETS.addText('text148','ru','Колода карт');
ASSETS.addText('text148','en','Deck of card');

/////////////////////ТЭГИ

ASSETS.addText('TEG_OPEN','ru','Раскрывает: Карта становится видимой противнику');
ASSETS.addText('TEG_OPEN','en','Reveals: The Card becomes visible to the opponent');

ASSETS.addText('TEG_HIDE','ru','Скрывает: Карта становится не видимой противнику');
ASSETS.addText('TEG_HIDE','en','Hide: The Card becomes invisible to the opponent.');

ASSETS.addText('TEG_SHIELD','ru','Щит: Защищает очки Карты от изменения');
ASSETS.addText('TEG_SHIELD','en','Shield: Protects Card points from change');

ASSETS.addText('TEG_DISABLE','ru','Отключает: Предотвращает действия Артефакта');
ASSETS.addText('TEG_DISABLE','en','Disable: Prevents Artifact actions');



ASSETS.addText('tutorialText_1_1','ru','Приветствуем в игре Duel: Cards and Bets. </n> Поставьте один из ваших артефактов на одну из своих карт и дождитесь пока противник не сделает тоже самое. Только после того как вы оба сделаете ход вы увидете ставки друг друга.');
ASSETS.addText('tutorialText_1_1','en',"Welcome to Duel: Cards and Bets. </n> Place one of your artifacts on one of your cards and wait until the enemy does the same. Only after you both make a move will you see each other's bets.");

ASSETS.addText('tutorialText_1_2','ru',"Каждая карта это герой одного из трёх классов лучник ARCHER воин WARRIOR и маг MAGE , относящийся к одной из 5 рас - эльф ELF человек HUMAN орк ORC демон DEMON нежить UNDEAD . </n> Артефакты дают очки силы только героям указанным в их описании.");
ASSETS.addText('tutorialText_1_2','en',"Each card is a hero of one of three classes archer ARCHER warrior WARRIOR and mage MAGE , belonging to one of 5 races - elf ELF human HUMAN orc ORC demon DEMON undead UNDEAD. </n> Artifacts give power points only to the heroes indicated in their description.");

ASSETS.addText('tutorialText_1_3','ru','Артефакты могут давать очки силы карте на которую поставлены, добавлять очки союзным картам и отнимать очки у вражеских карт. </n> Зеленые и красные числа указывают на изменение очков карты за прошлый ход. </n> POINTSUP POINTSDOWN');
ASSETS.addText('tutorialText_1_3','en','Artifacts can give power points to the card on which they are set, add points to allied cards and take points from enemy cards. </n> Green and red numbers indicate a change in map points over the last move. </n> POINTSUP POINTSDOWN');

ASSETS.addText('tutorialText_1_4','ru','Получать очки силы важно, но для победы нужно чтоб у вашей карты было больше очков чем у противоположной карты ARROWUP .');
ASSETS.addText('tutorialText_1_4','en','Getting strength points is important, but to win you need your card to have more points than the opposite card ARROWUP .');

ASSETS.addText('tutorialText_1_5','ru','Выиграйте в большем количестве пар чем ваш противник и победа ваша!');
ASSETS.addText('tutorialText_1_5','en',"Win more pairs than your opponent and get a reward!");


ASSETS.addText('tutorialText_2_1','ru','Ваш новый противник Сэр Гнилозуб. Он не очень хорош, но все таки умудрился где-то найти мощный Редкий Артефакт. Посмотрим рискнет ли он его использовать.');
ASSETS.addText('tutorialText_2_1','en',"Your new adversary is Sir Rotten Tooth. He is not very good, but still managed to find somewhere a powerful Rare Artifact. Let's see if he dares to use it.");

ASSETS.addText('tutorialText_2_2','ru','Сэр Гнилозуб опытный стратег, и начинает бой с разведки ваших карт. Подзорная труба находит и открывает ваши карты расы нежить. Знать как можно больше о противнике - ключ к победе в этой игре.');
ASSETS.addText('tutorialText_2_2','en',"Sir Rottooth is an experienced strategist, and begins the battle by scouting your cards. A spyglass locates and reveals your undead race cards. Knowing as much as possible about the opponent is the key to victory in this game.");

ASSETS.addText('tutorialText_2_3','ru','Выведав где скрываются ваша нежить, он наносит удар и получает много очков.');
ASSETS.addText('tutorialText_2_3','en',"Finding out where your undead are hiding, he strikes and gets a lot of points.");

ASSETS.addText('tutorialText_2_4','ru','Посох Монаха скрывает карту на которую он поставлен. Ведь полезно не только знать все о противнике, но и самому мешать ему узнать все о вас.');
ASSETS.addText('tutorialText_2_4','en',"Monk's staff hides the card on which he is placed. After all, it’s useful not only to know everything about the enemy, but also to prevent him from learning all about you.");

ASSETS.addText('tutorialText_2_5','ru','Дела Сэра Гнилозуба плохи. Рискнет ли он Редким Артефактом чтоб перевернуть игру в свою пользу, или же струсит и сдастся?');
ASSETS.addText('tutorialText_2_5','en',"Sir Rottooth's affairs are bad. Will he risk a Rare Artifact to turn the game in his favor, or will he get scared and give up?");


ASSETS.addText('tutorialText_3_1','ru','Слава о ваших победах идёт впереди вас. Повелитель Хаоса выбрал вас своей новой жертвой. У него в наборе множество артефактов невероятной ценности.');
ASSETS.addText('tutorialText_3_1','en',"The glory of your victories goes ahead of you. The Lord of Chaos chose you as his new victim. He has a lot of artifacts of incredible value in his set.");

ASSETS.addText('tutorialText_3_2','ru','Похоже Повелитель Хаоса уверен в своей победе и сразу ставит Редкий Артефакт. Удача опять на его стороне. Как ваш Наставник я рекомендую отступить с минимальными потерями FLAG .');
ASSETS.addText('tutorialText_3_2','en',"It seems the Lord of Chaos is confident in his victory and immediately puts the Rare Artifact. Good luck is again on his side. As your Mentor, I recommend retreating with minimal loss FLAG .");

ASSETS.addText('tutorialText_3_3','ru','Немыслимо! Он превратил вашего орка в нежить. Я и не знал что такое возможно!');
ASSETS.addText('tutorialText_3_3','en',"It is unthinkable! He turned your orc into undead. I didn’t know what was possible!");

ASSETS.addText('tutorialText_3_4','ru','Лорд Хаоса отключает два ваших артефакта. Теперь они абсолютно бесполезны, не дают очков  и других эффектов. Положение становиться бызысходным.');
ASSETS.addText('tutorialText_3_4','en',"Lord of Chaos disables your two artifacts. Now they are absolutely useless, do not give points and other effects. The situation is becoming prosperous.");

ASSETS.addText('tutorialText_3_5','ru','Я не могу на это смотреть…');
ASSETS.addText('tutorialText_3_5','en',"I can’t look at it ...");


/////НАВЫКИ

ASSETS.addText('skill_1','ru','Уровень сброса коллекции');
ASSETS.addText('skill_1','en','Сollection reset level');

ASSETS.addText('skill_2','ru','Количество попыток для заданий');
ASSETS.addText('skill_2','en','Number of attempts for quests');

ASSETS.addText('skill_3','ru','Свободная ничья');
ASSETS.addText('skill_3','en','Free draw');

ASSETS.addText('skill_4','ru','Создание QUALITY2 Артифактов');
ASSETS.addText('skill_4','en','Creating QUALITY2 Artifacts');

ASSETS.addText('skill_5','ru','Создание QUALITY3 Артифактов');
ASSETS.addText('skill_5','en','Creating QUALITY3 Artifacts');

ASSETS.addText('skill_6','ru','Создание QUALITY4 Артифактов');
ASSETS.addText('skill_6','en','Creating QUALITY4 Artifacts');

ASSETS.addText('skill_7','ru','Создание QUALITY5 Артифактов');
ASSETS.addText('skill_7','en','Creating QUALITY5 Artifacts');

ASSETS.addText('skill_8','ru','Создание QUALITY6 Артифактов');
ASSETS.addText('skill_8','en','Creating QUALITY6 Artifacts');


ASSETS.addText('levelUp0','ru','LevelUp');
ASSETS.addText('levelUp0','en','LevelUp');

ASSETS.addText('levelUp1','ru','Вы получаете 1 QUALITY1');
ASSETS.addText('levelUp1','en','You get 1 QUALITY1');

ASSETS.addText('levelUp2','ru','Вы получаете 1 QUALITY1');
ASSETS.addText('levelUp2','en','You get 1 QUALITY1');

ASSETS.addText('levelUp3','ru','Вы получаете 1 QUALITY1');
ASSETS.addText('levelUp3','en','You get 1 QUALITY1');

ASSETS.addText('levelUp4','ru','Повышен уровень сброса коллекции до 1');
ASSETS.addText('levelUp4','en','Raised collection level to 1');

ASSETS.addText('levelUp5','ru','Вы получаете 1 QUALITY1');
ASSETS.addText('levelUp5','en','You get 1 QUALITY1');

ASSETS.addText('levelUp6','ru','Увеличено количество попыток для заданий до 3 (1 уровень)');
ASSETS.addText('levelUp6','en','Increased the number of attempts for quests to 3 (1 level)');

ASSETS.addText('levelUp7','ru','Вы получаете 1 QUALITY1');
ASSETS.addText('levelUp7','en','You get 1 QUALITY1');

ASSETS.addText('levelUp8','ru','Вы получаете 1 QUALITY1');
ASSETS.addText('levelUp8','en','You get 1 QUALITY1');

ASSETS.addText('levelUp9','ru','Вы получаете 1 QUALITY1');
ASSETS.addText('levelUp9','en','You get 1 QUALITY1');

ASSETS.addText('levelUp10','ru','Повышен уровень сброса коллекции до 2');
ASSETS.addText('levelUp10','en','Raised collection level to 2');

ASSETS.addText('levelUp11','ru','Вы получаете 1 QUALITY1');
ASSETS.addText('levelUp11','en','You get 1 QUALITY1');

ASSETS.addText('levelUp12','ru','Вы получаете 1 QUALITY1');
ASSETS.addText('levelUp12','en','You get 1 QUALITY1');

ASSETS.addText('levelUp13','ru','Вы получаете 1 QUALITY1');
ASSETS.addText('levelUp13','en','You get 1 QUALITY1');

ASSETS.addText('levelUp14','ru','Вы получаете 1 QUALITY1');
ASSETS.addText('levelUp14','en','You get 1 QUALITY1');

ASSETS.addText('levelUp15','ru','Теперь вы можете создавать QUALITY2 Артефакты - Уровень 1');
ASSETS.addText('levelUp15','en','Now you can create QUALITY2 Artifacts - Level 1');

ASSETS.addText('levelUp16','ru','Увеличено количество попыток для заданий до 4 (2 уровень)');
ASSETS.addText('levelUp16','en','Increased the number of attempts for quests to 4 (2 level)');

ASSETS.addText('levelUp17','ru','Вы получаете 1 QUALITY2');
ASSETS.addText('levelUp17','en','You get 1 QUALITY2');

ASSETS.addText('levelUp18','ru','Вы получаете 1 QUALITY2');
ASSETS.addText('levelUp18','en','You get 1 QUALITY2');

ASSETS.addText('levelUp19','ru','Повышен уровень сброса коллекции до 3');;
ASSETS.addText('levelUp19','en','Raised collection level to 3');

ASSETS.addText('levelUp20','ru','Вы получаете 1 QUALITY2');
ASSETS.addText('levelUp20','en','You get 1 QUALITY2');

ASSETS.addText('levelUp21','ru','Вы не теряете QUALITY1 при ничье ("Свободная ничья" - уровень 1)');
ASSETS.addText('levelUp21','en','You do not lose QUALITY1 with a draw ("Free draw" - level 1)');

ASSETS.addText('levelUp22','ru','Вы получаете 1 QUALITY2');
ASSETS.addText('levelUp22','en','You get 1 QUALITY2');

ASSETS.addText('levelUp23','ru','Вы можете создавать QUALITY2 Артефакты за меньшую стоимость - Уровень 2');
ASSETS.addText('levelUp23','en','You can create QUALITY2 Artifacts for less. - Level 2');

ASSETS.addText('levelUp24','ru','Увеличено количество попыток для заданий до 5 (3 уровень)');
ASSETS.addText('levelUp24','en','Increased the number of attempts for quests to 5 (2 level)');

ASSETS.addText('levelUp25','ru','Теперь вы можете создавать QUALITY3 Артефакты - Уровень 1');
ASSETS.addText('levelUp25','en','Now you can create QUALITY3 Artifacts - Level 1');



/*
ASSETS.addText('hint1','ru','Если не хотите рисковать ценными для вас фишками не ставьте их в первые раунды игры, а держите их до тех пор пока не будете уверены в победе.');
ASSETS.addText('hint1','en','If you do not want to risk valuable chips for yourself, do not put them in the first rounds of the game, but keep them until you are sure of victory.');
*/
ASSETS.addText('hint1','ru','Может быть всего 15 карт, по 3 карты каждой расы, и по 5 каждого класса. Используйте это чтоб понять какие карты остались в руке врага.');
ASSETS.addText('hint1','en','There may be a total of 15 cards, 3 cards of each race, and 5 of each class. Use this to understand which cards are in the enemy’s hand.');

ASSETS.addText('hint2','ru','Фишки дают очки независимо от того открыты карты или нет.  Используйте это чтоб собрать больше данных о закрытых картах врага.');
ASSETS.addText('hint2','en','Chips give points whether cards are open or not. Use this to collect more data about the enemy’s hidden cards.');

ASSETS.addText('hint3','ru','Внимательно следите за фишками врага которые дают бонус за карту-оппонента. Ваши карты с соответствующими характеристиками лучше не открывать как можно дольше или  прятать их скрывающими фишками.');
ASSETS.addText('hint3','en','Carefully follow the enemy chips that give a bonus for the opponent card. They are powerful, but useless if the enemy does not know where to put them.');

ASSETS.addText('hint4','ru','Открывающие фишки могут быть крайне полезны, особенно если вы строите свою стратегию от руки врага, но в них нет смысла если враг активно применяет скрытие.');
ASSETS.addText('hint4','en',"The combination of opening chips and chips that give a bonus for the opponent's card is powerful, but can be stopped by hiding chips.");

ASSETS.addText('hint5','ru','Не важно сколько очков у вашей карты, главное чтоб их было больше чем у карты-оппонента.');
ASSETS.addText('hint5','en',"No matter how many points you have on the cards, the main thing is to have more of them than your opponent-card.");

ASSETS.addText('start','ru','Приветвуем в игре! Надеюсь она вам понравиться. В любом случае будем рады вашим комментариям');
ASSETS.addText('start','en',"Welcome to the game! We hope you enjoy it. And if not, be sure to write what exactly)");

ASSETS.addText('hint6','ru','Открывайте новые уровни и выполняйте задания чтоб получить уникальные фишки');
ASSETS.addText('hint6','en',"Unlock new levels and complete tasks to get unique chips");

ASSETS.addText('hint7','ru','Некоторые уникальные фишки могут отключать вражеские фишки и менять расу и класс карты');
ASSETS.addText('hint7','en',"Some unique chips can disable enemy chips and change the race and class of the card.");



/*
ASSETS.addText('hint8','ru','Нельзя отключить отключение. Но можно все другие эффекты.');
ASSETS.addText('hint8','en',"You can not disable the disable. But can disable all other effects.");

ASSETS.addText('hint9','ru','Порядок выполнения действий фишек: отключение, смена расы, смена класса, открытые, скрытие, начисление очков.');
ASSETS.addText('hint9','en',"The procedure for performing actions chips: disable, change race, change class, reveals, hide, scoring.");

ASSETS.addText('hint10','ru','ИИ не видит ваши карты, он просто хорошо считает)');
ASSETS.addText('hint10','en',"AI do not see your cards, he just thinks well)");

ASSETS.addText('hint11','ru','Качество фишек ИИ всегда эквивалентно вашему. ');
ASSETS.addText('hint11','en',"The quality of AI chips is always equivalent to yours.");
*/
//////////////////////////////////////////

/////////
ASSETS.addText('race1','ru','Эльф');
ASSETS.addText('race1','en','Elf');

ASSETS.addText('race2','ru','Человек');
ASSETS.addText('race2','en','Human');

ASSETS.addText('race3','ru','Орк');
ASSETS.addText('race3','en','Orc');

ASSETS.addText('race4','ru','Демон');
ASSETS.addText('race4','en','Demon');

ASSETS.addText('race5','ru','Нежить');
ASSETS.addText('race5','en','Undead');

ASSETS.addText('class1','ru','Лучник');
ASSETS.addText('class1','en','Archer');

ASSETS.addText('class2','ru','Воин');
ASSETS.addText('class2','en','Warrior');

ASSETS.addText('class3','ru','Маг');
ASSETS.addText('class3','en','Mage');

/*
1 2 серых к начальному набору (1 уровень сброса)
2 дарит 45 арт
3 дарит 46 арт
4 зелёный арт в подарок
5 дарит 40 арт
6 2 (4!) серых к начальному набору (2 уровень сброса)
7 дарит 48 и 25 арт
8 зелёный арт в подарок
9 дарит 1024
10 45 арт к начальному набору (3 уровень сброса)
11 зелёный арт в подарок
12 дарит 1025
13 46 арт к начальному набору (4 уровень сброса)
14 дарит 23 и 24 арт
15 доступ к ковке зелёных артов (ковка зеленых уровень 1)
16 дарит 43 и 44
17 дарит 1037 и 1038 арт
18 3 (7!) серых к начальному набору (5 уровень сброса)
19 дарит 1110 арт
20 синий арт в подарок
21 зелёный арт в начальный набор (6 уровень сброса)
22 вы не теряете серый артефакт при ничье (ничья уровень 1)
23 синий арт в подарок
24 ковка зелёных артефактов за 6 серых (ковка зеленых уровень 2)
25 ковка синих артов (ковка синих уровень 1)
*/




//////////ПОДСКАЗКИ ПРИ ЗАГРУЗКЕ

ASSETS.addLoadHint('hint1');
ASSETS.addLoadHint('hint2');
ASSETS.addLoadHint('hint3');
ASSETS.addLoadHint('hint4');
ASSETS.addLoadHint('hint5');
ASSETS.addLoadHint('hint6');
ASSETS.addLoadHint('start');
//ASSETS.addLoadHint('hint8');
//ASSETS.addLoadHint('hint9');
//ASSETS.addLoadHint('hint10');
//ASSETS.addLoadHint('hint11');






